{
  "pages": [
    //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
    {
      "path": "TUIKit/components/TUIConversation/index",
      "style": {
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/index/index",
      "style": {
        "navigationBarTitleText": "首页",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/login/login",
      "style": {
        "navigationBarTitleText": "登录",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "TUIKit/components/TUIChat/index",
      "style": {
        "navigationStyle": "custom",
        "app-plus": {
          "softinputMode": "adjustResize"
        }
      }
    },
    {
      "path": "TUIKit/components/TUIContact/index",
      "style": {
        "navigationStyle": "custom"
      }
    },
    {
      "path": "TUIKit/components/TUIChat/video-play",
      "style": {
        "navigationBarTitleText": "",
        "navigationBarBackgroundColor": "#EBF0F6"
      }
    },
    {
      "path": "TUIKit/components/TUIChat/web-view",
      "style": {
        "navigationBarTitleText": "",
        "navigationBarBackgroundColor": "#EBF0F6"
      }
    },
    {
      "path": "TUIKit/components/TUIGroup/index",
      "style": {
        "navigationStyle": "custom"
      }
    },
    {
      "path": "TUIKit/components/TUISearch/index",
      "style": {
        "navigationBarTitleText": "聊天记录",
        "navigationBarBackgroundColor": "#EBF0F6"
      }
    },
    {
      "path": "pages/login/protocol",
      "style": {
        "navigationBarTitleText": "用户权益"
      }
    },
    {
      "path": "pages/login/regime",
      "style": {
        "navigationBarTitleText": "隐私政策"
      }
    },
    {
      "path": "pages/login/phone-register/phone-register",
      "style": {
        "navigationBarTitleText": "手机注册",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/login/email-register/email-register",
      "style": {
        "navigationBarTitleText": "邮箱注册",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/login/forgot-password/forgot-password",
      "style": {
        "navigationBarTitleText": "忘记密码",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/news-list/news-list",
      "style": {
        "navigationBarTitleText": "消息",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/contacts/contacts",
      "style": {
        "navigationBarTitleText": "通讯录"
      }
    },
    {
      "path": "pages/discover/discover",
      "style": {
        "navigationBarTitleText": "发现",
        "navigationBarBackgroundColor": "#ffffff",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/my-index/my-index",
      "style": {
        "navigationBarTitleText": "我的",
        "backgroundColor": "#f7f7f7",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/my-index/withdraw",
      "style": {
        "navigationBarTitleText": "提现",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/my-index/recharge",
      "style": {
        "navigationBarTitleText": "充值",
        "backgroundColor": "#f7f7f7"
      }
    },
    {
      "path": "pages/my-index/personal-center/index",
      "style": {
        "navigationStyle": "custom",
        "navigationBarTitleText": "个人中心"
      }
    },
    {
      "path": "pages/my-index/qr-code/index",
      "style": {
        "navigationBarTitleText": "",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/my-index/wallet/index",
      "style": {
        "navigationBarTitleText": "钱包",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/my-index/wallet/edit-password",
      "style": {
        "navigationBarTitleText": "修改钱包密码",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/my-index/wallet/bank-card/index",
      "style": {
        "navigationBarTitleText": "提现卡",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/my-index/wallet/record",
      "style": {
        "navigationBarTitleText": "积分记录",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/my-index/wallet/withdrawal-record",
      "style": {
        "navigationBarTitleText": "提现记录",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/my-index/wallet/real-id",
      "style": {
        "navigationBarTitleText": "实名认证",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/my-index/wallet/invite",
      "style": {
        "navigationBarTitleText": "邀请好友",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/my-index/my-team",
      "style": {
        "navigationBarTitleText": "拼团伙伴",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/my-index/collection/index",
      "style": {
        "navigationBarTitleText": "收藏",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/my-index/meeting-record/index",
      "style": {
        "navigationBarTitleText": "直播记录",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/my-index/meeting-record/details",
      "style": {
        "navigationBarTitleText": "会议详情",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/my-index/customer-service/index",
      "style": {
        "navigationBarTitleText": "客服"
      }
    },
    {
      "path": "pages/my-index/customer-service/third-party",
      "style": {
        "navigationBarTitleText": "第三方客服"
      }
    },
    {
      "path": "pages/my-index/set-up/index",
      "style": {
        "navigationBarTitleText": "设置",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/my-index/set-up/feedback",
      "style": {
        "navigationBarTitleText": "意见反馈",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/my-index/set-up/message/index",
      "style": {
        "navigationBarTitleText": "消息通知",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/my-index/set-up/message/details",
      "style": {
        "navigationBarTitleText": "通知详情",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/my-index/set-up/font-settings",
      "style": {
        "navigationBarTitleText": "字体设置",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/my-index/wallet/bank-card/card-details",
      "style": {
        "navigationBarTitleText": "卡信息增删改查",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/mall/list",
      "style": {
        "navigationBarTitleText": "商城",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/mall/detail",
      "style": {
        "navigationBarTitleText": "商品详情",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/mall/comment",
      "style": {
        "navigationBarTitleText": "评价",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/mall/add-comment",
      "style": {
        "navigationBarTitleText": "添加评价",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/mall/confirm-order",
      "style": {
        "navigationBarTitleText": "确认订单"
      }
    },
    {
      "path": "pages/address/index",
      "style": {
        "navigationBarTitleText": "我的地址",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/address/add",
      "style": {
        "navigationBarTitleText": "添加地址"
      }
    },
    {
      "path": "pages/address/edit",
      "style": {
        "navigationBarTitleText": "修改地址"
      }
    },
    {
      "path": "pages/shop-together/index",
      "style": {
        "navigationBarTitleText": "购买记录"
      }
    },
    {
      "path": "pages/shop-together/detail",
      "style": {
        "navigationBarTitleText": "拼团记录"
      }
    },
    {
      "path": "pages/shop-together/share",
      "style": {
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/shop-together/user",
      "style": {
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/discover/ranking-list",
      "style": {
        "navigationBarTitleText": "排行榜",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/discover/punch",
      "style": {
        "navigationBarTitleText": "签到",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/discover/dynamic/dynamic",
      "style": {
        "navigationBarTitleText": "朋友圈",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/discover/dynamic/release",
      "style": {
        "navigationBarTitleText": "发布朋友圈",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/discover/company",
      "style": {
        "navigationBarTitleText": "公司介绍",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "TUIKit/components/TUIChat/message-input-toolbar/live-stream/apply",
      "style": {
        "navigationBarTitleText": "直播",
        "navigationStyle": "custom"
      }
    },
    // #ifdef APP-PLUS
    {
      "path": "pages/discover/livelist/index",
      "style": {
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/liveend/index",
      "disableSwipeBack": true,
      "style": {
        "navigationBarTextStyle": "white",
        "app-plus": {
          "titleNView": false
        }
      }
    },
    {
      "path": "pages/audience/index",
      "style": {
        "navigationBarTextStyle": "white",
        "app-plus": {
          "titleNView": false
        }
      }
    },
    {
      "path": "pages/anchor/index",
      "disableSwipeBack": true,
      "style": {
        "backgroundColor": "#000000",
        "navigationBarTextStyle": "white",
        "app-plus": {
          "titleNView": false,
          "popGesture": "none"
        }
      }
    },
    {
      "path": "pages/room/room",
      "style": {
        "navigationBarTitleText": "拨打电话",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/room/incom",
      "style": {
        "navigationBarTitleText": "拨打视频",
        "navigationStyle": "custom"
      }
    },
    // #endif
    // #ifdef H5
    {
      "path": "pages/discover/livelist/h5-list",
      "style": {
        "navigationBarTitleText": "直播列表",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/discover/livelist/h5-live-player",
      "style": {
        "navigationBarTitleText": "直播间",
        "navigationStyle": "custom"
      }
    },
    // #endif
    {
      "path": "pages/adduser/index",
      "style": {
        "navigationBarTitleText": "添加朋友/群组",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/adduser/details",
      "style": {
        "navigationBarTitleText": "发送好友申请",
        "navigationBarBackgroundColor": "#ffffff"
      }
    },
    {
      "path": "pages/red-packet/details",
      "style": {
        "navigationStyle": "custom",
        "navigationBarTitleText": "红包详情"
      }
    }
  ],
  "globalStyle": {
    "navigationBarTextStyle": "black",
    "navigationBarTitleText": "uni-app",
    "navigationBarBackgroundColor": "#F8F8F8",
    "backgroundColor": "#F8F8F8"
  },
  "uniIdRouter": {},
  "tabBar": {
    "color": "#333333",
    "selectedColor": "#00D993",
    "borderStyle": "black",
    "backgroundColor": "#ffffff",
    "list": [
      {
        "pagePath": "TUIKit/components/TUIConversation/index",
        "iconPath": "static/images/tabBar/news.png",
        "selectedIconPath": "static/images/tabBar/newsHL.png",
        "text": "消息"
      },
      {
        "pagePath": "TUIKit/components/TUIContact/index",
        "iconPath": "static/images/tabBar/contacts.png",
        "selectedIconPath": "static/images/tabBar/contactsHL.png",
        "text": "通讯录"
      },
      {
        "pagePath": "pages/discover/discover",
        "iconPath": "static/images/tabBar/discover.png",
        "selectedIconPath": "static/images/tabBar/discoverHL.png",
        "text": "发现"
      },
      {
        "pagePath": "pages/my-index/my-index",
        "iconPath": "static/images/tabBar/my.png",
        "selectedIconPath": "static/images/tabBar/myHL.png",
        "text": "我的"
      }
    ]
  }
}
